double {base} | R Documentation

## Double Precision Vectors

### Description

Create, coerce to or test for a double-precision vector.

### Usage

    double(length = 0)
    as.double(x, ...)
    is.double(x)

    single(length = 0)
    as.single(x, ...)

### Arguments

`length` | desired length.
`x` | object to be coerced or tested.
`...` | further arguments passed to or from other methods.

### Value

`double` creates a double precision vector of the specified length. The elements of the vector are all equal to `0`.
`as.double` attempts to coerce its argument to be of double type: like `as.vector` it strips attributes including names. Character strings containing either a decimal representation or a heaxadecimal representation (starting with `0x` or `0X`) can be converted.
`is.double` returns `TRUE` or `FALSE` depending on whether its argument is of double type or not. It is generic: you can write methods to handle specific classes of objects, see InternalMethods.

### Note

R has no single precision data type. All real numbers are stored in double precision format. The functions `as.single` and `single` are identical to `as.double` and `double` except they set the attribute `Csingle` that is used in the `.C` and `.Fortran` interface, and they are intended only to be used in that context.

### References

Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) The New S Language. Wadsworth & Brooks/Cole.

### See Also

`integer`, `numeric`.

### Examples

    is.double(1)
    all(double(3) == 0)

[Package base version 2.4.1 Index]